
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x800005c0')]      |
| SIG_REGION                | [('0x80002010', '0x80002170', '88 words')]      |
| COV_LABELS                | sm3p1      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/temp/riscof_work/sm3p1-01.S/ref.S    |
| Total Number of coverpoints| 156     |
| Total Coverpoints Hit     | 151      |
| Total Signature Updates   | 86      |
| STAT1                     | 85      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x800005a4]:sm3p1
      [0x800005a8]:sw
 -- Signature Address: 0x80002160 Data: 0xbfbfff7f
 -- Redundant Coverpoints hit by the op
      - opcode : sm3p1
      - rs1 : x10
      - rd : x11
      - rs1 != rd
      - rs1_val == 4294967167






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                             coverpoints                                              |                   code                    |
|---:|--------------------------|------------------------------------------------------------------------------------------------------|-------------------------------------------|
|   1|[0x80002010]<br>0x2691a37c|- opcode : sm3p1<br> - rs1 : x5<br> - rd : x24<br> - rs1 != rd<br> - rs1_val == 0x254a9493 #nosat<br> |[0x80000108]:sm3p1<br> [0x8000010c]:sw<br> |
|   2|[0x80002014]<br>0x7fbfbfff|- rs1 : x10<br> - rd : x10<br> - rs1 == rd<br> - rs1_val == 2147483647<br>                            |[0x80000118]:sm3p1<br> [0x8000011c]:sw<br> |
|   3|[0x80002018]<br>0xbfdfdfff|- rs1 : x21<br> - rd : x29<br> - rs1_val == 3221225471<br>                                            |[0x80000128]:sm3p1<br> [0x8000012c]:sw<br> |
|   4|[0x8000201c]<br>0xdfefefff|- rs1 : x29<br> - rd : x9<br> - rs1_val == 3758096383<br>                                             |[0x80000138]:sm3p1<br> [0x8000013c]:sw<br> |
|   5|[0x80002020]<br>0xeff7f7ff|- rs1 : x8<br> - rd : x16<br> - rs1_val == 4026531839<br>                                             |[0x80000148]:sm3p1<br> [0x8000014c]:sw<br> |
|   6|[0x80002024]<br>0xf7fbfbff|- rs1 : x4<br> - rd : x8<br> - rs1_val == 4160749567<br>                                              |[0x80000158]:sm3p1<br> [0x8000015c]:sw<br> |
|   7|[0x80002028]<br>0xfbfdfdff|- rs1 : x30<br> - rd : x14<br> - rs1_val == 4227858431<br>                                            |[0x80000168]:sm3p1<br> [0x8000016c]:sw<br> |
|   8|[0x8000202c]<br>0xfdfefeff|- rs1 : x17<br> - rd : x1<br> - rs1_val == 4261412863<br>                                             |[0x80000178]:sm3p1<br> [0x8000017c]:sw<br> |
|   9|[0x80002030]<br>0xfeff7f7f|- rs1 : x27<br> - rd : x23<br> - rs1_val == 4278190079<br>                                            |[0x80000188]:sm3p1<br> [0x8000018c]:sw<br> |
|  10|[0x80002034]<br>0xff7fbfbf|- rs1 : x22<br> - rd : x17<br> - rs1_val == 4286578687<br>                                            |[0x80000198]:sm3p1<br> [0x8000019c]:sw<br> |
|  11|[0x80002038]<br>0xffbfdfdf|- rs1 : x7<br> - rd : x18<br> - rs1_val == 4290772991<br>                                             |[0x800001a8]:sm3p1<br> [0x800001ac]:sw<br> |
|  12|[0x8000203c]<br>0xffdfefef|- rs1 : x16<br> - rd : x21<br> - rs1_val == 4292870143<br>                                            |[0x800001b8]:sm3p1<br> [0x800001bc]:sw<br> |
|  13|[0x80002040]<br>0xffeff7f7|- rs1 : x1<br> - rd : x26<br> - rs1_val == 4293918719<br>                                             |[0x800001c8]:sm3p1<br> [0x800001cc]:sw<br> |
|  14|[0x80002044]<br>0xfff7fbfb|- rs1 : x9<br> - rd : x19<br> - rs1_val == 4294443007<br>                                             |[0x800001d8]:sm3p1<br> [0x800001dc]:sw<br> |
|  15|[0x80002048]<br>0xfffbfdfd|- rs1 : x26<br> - rd : x22<br> - rs1_val == 4294705151<br>                                            |[0x800001e8]:sm3p1<br> [0x800001ec]:sw<br> |
|  16|[0x8000204c]<br>0xfffdfefe|- rs1 : x2<br> - rd : x15<br> - rs1_val == 4294836223<br>                                             |[0x800001f8]:sm3p1<br> [0x800001fc]:sw<br> |
|  17|[0x80002050]<br>0x7ffeff7f|- rs1 : x15<br> - rd : x4<br> - rs1_val == 4294901759<br>                                             |[0x80000208]:sm3p1<br> [0x8000020c]:sw<br> |
|  18|[0x80002054]<br>0xbfff7fbf|- rs1 : x25<br> - rd : x20<br> - rs1_val == 4294934527<br>                                            |[0x80000218]:sm3p1<br> [0x8000021c]:sw<br> |
|  19|[0x80002058]<br>0xdfffbfdf|- rs1 : x14<br> - rd : x12<br> - rs1_val == 4294950911<br>                                            |[0x80000228]:sm3p1<br> [0x8000022c]:sw<br> |
|  20|[0x8000205c]<br>0xefffdfef|- rs1 : x12<br> - rd : x7<br> - rs1_val == 4294959103<br>                                             |[0x80000238]:sm3p1<br> [0x8000023c]:sw<br> |
|  21|[0x80002060]<br>0xf7ffeff7|- rs1 : x13<br> - rd : x27<br> - rs1_val == 4294963199<br>                                            |[0x80000248]:sm3p1<br> [0x8000024c]:sw<br> |
|  22|[0x80002064]<br>0xfbfff7fb|- rs1 : x19<br> - rd : x31<br> - rs1_val == 4294965247<br>                                            |[0x80000258]:sm3p1<br> [0x8000025c]:sw<br> |
|  23|[0x80002068]<br>0xfdfffbfd|- rs1 : x28<br> - rd : x6<br> - rs1_val == 4294966271<br>                                             |[0x80000264]:sm3p1<br> [0x80000268]:sw<br> |
|  24|[0x8000206c]<br>0xfefffdfe|- rs1 : x6<br> - rd : x11<br> - rs1_val == 4294966783<br>                                             |[0x80000278]:sm3p1<br> [0x8000027c]:sw<br> |
|  25|[0x80002070]<br>0x7f7ffeff|- rs1 : x11<br> - rd : x25<br> - rs1_val == 4294967039<br>                                            |[0x80000284]:sm3p1<br> [0x80000288]:sw<br> |
|  26|[0x80002074]<br>0x00000000|- rs1 : x3<br> - rd : x0<br> - rs1_val == 4294967167<br>                                              |[0x80000290]:sm3p1<br> [0x80000294]:sw<br> |
|  27|[0x80002078]<br>0xdfdfffbf|- rs1 : x24<br> - rd : x5<br> - rs1_val == 4294967231<br>                                             |[0x8000029c]:sm3p1<br> [0x800002a0]:sw<br> |
|  28|[0x8000207c]<br>0xefefffdf|- rs1 : x23<br> - rd : x13<br> - rs1_val == 4294967263<br>                                            |[0x800002a8]:sm3p1<br> [0x800002ac]:sw<br> |
|  29|[0x80002080]<br>0x00000000|- rs1 : x0<br> - rd : x28<br>                                                                         |[0x800002b4]:sm3p1<br> [0x800002b8]:sw<br> |
|  30|[0x80002084]<br>0xfbfbfff7|- rs1 : x20<br> - rd : x3<br> - rs1_val == 4294967287<br>                                             |[0x800002c0]:sm3p1<br> [0x800002c4]:sw<br> |
|  31|[0x80002088]<br>0xfdfdfffb|- rs1 : x18<br> - rd : x2<br> - rs1_val == 4294967291<br>                                             |[0x800002cc]:sm3p1<br> [0x800002d0]:sw<br> |
|  32|[0x8000208c]<br>0xfefefffd|- rs1 : x31<br> - rd : x30<br> - rs1_val == 4294967293<br>                                            |[0x800002d8]:sm3p1<br> [0x800002dc]:sw<br> |
|  33|[0x80002090]<br>0xff7f7ffe|- rs1_val == 4294967294<br>                                                                           |[0x800002e4]:sm3p1<br> [0x800002e8]:sw<br> |
|  34|[0x80002094]<br>0x80404000|- rs1_val == 2147483648<br>                                                                           |[0x800002f0]:sm3p1<br> [0x800002f4]:sw<br> |
|  35|[0x80002098]<br>0x40202000|- rs1_val == 1073741824<br>                                                                           |[0x800002fc]:sm3p1<br> [0x80000300]:sw<br> |
|  36|[0x8000209c]<br>0x20101000|- rs1_val == 536870912<br>                                                                            |[0x80000308]:sm3p1<br> [0x8000030c]:sw<br> |
|  37|[0x800020a0]<br>0x10080800|- rs1_val == 268435456<br>                                                                            |[0x80000314]:sm3p1<br> [0x80000318]:sw<br> |
|  38|[0x800020a4]<br>0x08040400|- rs1_val == 134217728<br>                                                                            |[0x80000320]:sm3p1<br> [0x80000324]:sw<br> |
|  39|[0x800020a8]<br>0x04020200|- rs1_val == 67108864<br>                                                                             |[0x8000032c]:sm3p1<br> [0x80000330]:sw<br> |
|  40|[0x800020ac]<br>0x02010100|- rs1_val == 33554432<br>                                                                             |[0x80000338]:sm3p1<br> [0x8000033c]:sw<br> |
|  41|[0x800020b0]<br>0x01008080|- rs1_val == 16777216<br>                                                                             |[0x80000344]:sm3p1<br> [0x80000348]:sw<br> |
|  42|[0x800020b4]<br>0x00804040|- rs1_val == 8388608<br>                                                                              |[0x80000350]:sm3p1<br> [0x80000354]:sw<br> |
|  43|[0x800020b8]<br>0x00402020|- rs1_val == 4194304<br>                                                                              |[0x8000035c]:sm3p1<br> [0x80000360]:sw<br> |
|  44|[0x800020bc]<br>0x00201010|- rs1_val == 2097152<br>                                                                              |[0x80000368]:sm3p1<br> [0x8000036c]:sw<br> |
|  45|[0x800020c0]<br>0x00100808|- rs1_val == 1048576<br>                                                                              |[0x80000374]:sm3p1<br> [0x80000378]:sw<br> |
|  46|[0x800020c4]<br>0x00080404|- rs1_val == 524288<br>                                                                               |[0x80000380]:sm3p1<br> [0x80000384]:sw<br> |
|  47|[0x800020c8]<br>0x00040202|- rs1_val == 262144<br>                                                                               |[0x8000038c]:sm3p1<br> [0x80000390]:sw<br> |
|  48|[0x800020cc]<br>0x00020101|- rs1_val == 131072<br>                                                                               |[0x80000398]:sm3p1<br> [0x8000039c]:sw<br> |
|  49|[0x800020d0]<br>0x80010080|- rs1_val == 65536<br>                                                                                |[0x800003a4]:sm3p1<br> [0x800003a8]:sw<br> |
|  50|[0x800020d4]<br>0x40008040|- rs1_val == 32768<br>                                                                                |[0x800003b0]:sm3p1<br> [0x800003b4]:sw<br> |
|  51|[0x800020d8]<br>0x20004020|- rs1_val == 16384<br>                                                                                |[0x800003bc]:sm3p1<br> [0x800003c0]:sw<br> |
|  52|[0x800020dc]<br>0x10002010|- rs1_val == 8192<br>                                                                                 |[0x800003c8]:sm3p1<br> [0x800003cc]:sw<br> |
|  53|[0x800020e0]<br>0x08001008|- rs1_val == 4096<br>                                                                                 |[0x800003d4]:sm3p1<br> [0x800003d8]:sw<br> |
|  54|[0x800020e4]<br>0x00808001|- rs1_val == 1<br>                                                                                    |[0x800003e0]:sm3p1<br> [0x800003e4]:sw<br> |
|  55|[0x800020e8]<br>0xbeb55520|- rs1_val == 0x3150e5fa #nosat<br>                                                                    |[0x800003f0]:sm3p1<br> [0x800003f4]:sw<br> |
|  56|[0x800020ec]<br>0x59350989|- rs1_val == 0x90efb625 #nosat<br>                                                                    |[0x80000400]:sm3p1<br> [0x80000404]:sw<br> |
|  57|[0x800020f0]<br>0x1acb9e95|- rs1_val == 0x65408c73 #nosat<br>                                                                    |[0x80000410]:sm3p1<br> [0x80000414]:sw<br> |
|  58|[0x800020f4]<br>0xb32e7e61|- rs1_val == 0x1fc493ca #nosat<br>                                                                    |[0x80000420]:sm3p1<br> [0x80000424]:sw<br> |
|  59|[0x800020f8]<br>0xfcfd7f9d|- rs1_val == 0xd169a3f8 #nosat<br>                                                                    |[0x80000430]:sm3p1<br> [0x80000434]:sw<br> |
|  60|[0x800020fc]<br>0xcd7cfc6b|- rs1_val == 0x8e2eac2a #nosat<br>                                                                    |[0x80000440]:sm3p1<br> [0x80000444]:sw<br> |
|  61|[0x80002100]<br>0xf6ba98e7|- rs1_val == 0xf4c30307 #nosat<br>                                                                    |[0x80000450]:sm3p1<br> [0x80000454]:sw<br> |
|  62|[0x80002104]<br>0x11dc5118|- rs1_val == 0x35f9377f #nosat<br>                                                                    |[0x80000460]:sm3p1<br> [0x80000464]:sw<br> |
|  63|[0x80002108]<br>0x55bde613|- rs1_val == 0xa0569d76 #nosat<br>                                                                    |[0x80000470]:sm3p1<br> [0x80000474]:sw<br> |
|  64|[0x8000210c]<br>0xa9ac0e64|- rs1_val == 0x58d548aa #nosat<br>                                                                    |[0x80000480]:sm3p1<br> [0x80000484]:sw<br> |
|  65|[0x80002110]<br>0x835adbdd|- rs1_val == 0x2daf9ac7 #nosat<br>                                                                    |[0x80000490]:sm3p1<br> [0x80000494]:sw<br> |
|  66|[0x80002114]<br>0xa4c44a44|- rs1_val == 0x55d98c6e #nosat<br>                                                                    |[0x800004a0]:sm3p1<br> [0x800004a4]:sw<br> |
|  67|[0x80002118]<br>0x0e2cf4af|- rs1_val == 0xf273b44c #nosat<br>                                                                    |[0x800004b0]:sm3p1<br> [0x800004b4]:sw<br> |
|  68|[0x8000211c]<br>0x584138b4|- rs1_val == 0x74b8de87 #nosat<br>                                                                    |[0x800004c0]:sm3p1<br> [0x800004c4]:sw<br> |
|  69|[0x80002120]<br>0x8d30481b|- rs1_val == 0x886c3a30 #nosat<br>                                                                    |[0x800004d0]:sm3p1<br> [0x800004d4]:sw<br> |
|  70|[0x80002124]<br>0xd8ae2579|- rs1_val == 0xccce240c #nosat<br>                                                                    |[0x800004e0]:sm3p1<br> [0x800004e4]:sw<br> |
|  71|[0x80002128]<br>0x895ac4a9|- rs1_val == 0xbb61a9cd #nosat<br>                                                                    |[0x800004f0]:sm3p1<br> [0x800004f4]:sw<br> |
|  72|[0x8000212c]<br>0x1b2897d3|- rs1_val == 0xb49c83dc #nosat<br>                                                                    |[0x80000500]:sm3p1<br> [0x80000504]:sw<br> |
|  73|[0x80002130]<br>0xfe00ddc2|- rs1_val == 0xc5521660 #nosat<br>                                                                    |[0x80000510]:sm3p1<br> [0x80000514]:sw<br> |
|  74|[0x80002134]<br>0x04000804|- rs1_val == 2048<br>                                                                                 |[0x80000520]:sm3p1<br> [0x80000524]:sw<br> |
|  75|[0x80002138]<br>0x02000402|- rs1_val == 1024<br>                                                                                 |[0x8000052c]:sm3p1<br> [0x80000530]:sw<br> |
|  76|[0x8000213c]<br>0x01000201|- rs1_val == 512<br>                                                                                  |[0x80000538]:sm3p1<br> [0x8000053c]:sw<br> |
|  77|[0x80002140]<br>0x80800100|- rs1_val == 256<br>                                                                                  |[0x80000544]:sm3p1<br> [0x80000548]:sw<br> |
|  78|[0x80002144]<br>0x40400080|- rs1_val == 128<br>                                                                                  |[0x80000550]:sm3p1<br> [0x80000554]:sw<br> |
|  79|[0x80002148]<br>0x20200040|- rs1_val == 64<br>                                                                                   |[0x8000055c]:sm3p1<br> [0x80000560]:sw<br> |
|  80|[0x8000214c]<br>0x10100020|- rs1_val == 32<br>                                                                                   |[0x80000568]:sm3p1<br> [0x8000056c]:sw<br> |
|  81|[0x80002150]<br>0x08080010|- rs1_val == 16<br>                                                                                   |[0x80000574]:sm3p1<br> [0x80000578]:sw<br> |
|  82|[0x80002154]<br>0x04040008|- rs1_val == 8<br>                                                                                    |[0x80000580]:sm3p1<br> [0x80000584]:sw<br> |
|  83|[0x80002158]<br>0x02020004|- rs1_val == 4<br>                                                                                    |[0x8000058c]:sm3p1<br> [0x80000590]:sw<br> |
|  84|[0x8000215c]<br>0x01010002|- rs1_val == 2<br>                                                                                    |[0x80000598]:sm3p1<br> [0x8000059c]:sw<br> |
|  85|[0x80002164]<br>0xf7f7ffef|- rs1_val == 4294967279<br>                                                                           |[0x800005b0]:sm3p1<br> [0x800005b4]:sw<br> |
